Page MenuHomePhabricator

Android app uses abandoned blue for CC logo
Closed, ResolvedPublic

Description

While looking for usage of the abandoned blue, which was replaced in our overhauled color palette M82 by #36c, I've found
https://phabricator.wikimedia.org/diffusion/APAW/browse/master/icon-svgs/24/cc_logo.noflip.svg to feature fill color #347bff.
I'm wondering if the logo is even still in use and why it featured blue, but it should either be deleted or amended.

Event Timeline

Volker_E created this task.Dec 16 2016, 7:10 PM
Dbrant added a subscriber: Dbrant.Dec 16 2016, 8:23 PM

Good catch! We are using this logo in the app when showing an edit preview to the user, prior to submitting the edit. We'll amend it soon.

@Dbrant Alright! I think it shouldn't feature the blue that we urge to pose only on interactive elements (or might it be linked to CC website? Although even then I'd feel weird about). @Nirzar or @cmadeo any thoughts?

Volker_E reassigned this task from Volker_E to Dbrant.Dec 20 2016, 5:14 PM
Volker_E moved this task from Incoming to Apps on the Design board.Jan 5 2017, 6:02 PM

Change 334374 had a related patch set uploaded (by Dbrant):
Show CC license disclaimer when editing descriptions.

https://gerrit.wikimedia.org/r/334374

Change 334374 merged by jenkins-bot:
Show CC license disclaimer when editing descriptions.

https://gerrit.wikimedia.org/r/334374

@Dbrant The patch above doesn't really touch the path above or are you planning to remove this in a follow-up?

@Volker_E This patch does, in fact, update the color of the CC logo when previewing a general edit. (it's not part of the patch title, but it's mentioned in the detailed description.)

@Dbrant I saw that. 👍
The SVG mentioned in the task description seems untouched though.

@Volker_E That SVG is simply no longer used. (will be removed in another patch)

Dbrant closed this task as Resolved.Feb 10 2017, 3:09 PM
Volker_E removed a subscriber: gerritbot.